# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Classes | Namespaces | Typedefs | Functions | Variables
dispatcher.h File Reference
`#include "api.h"`
`#include "connection.h"`
`#include "eventloop.h"`
Include dependency graph for dispatcher.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | DBus::Timeout
class | DBus::Watch
class | DBus::Dispatcher
class | DBus::Mutex
class | DBus::CondVar
struct | DBus::Threading< Mx, Cv >

## Namespaces

namespace | DBus

## Typedefs

typedef Mutex *(* | DBus::MutexNewFn) ()
typedef void(* | DBus::MutexUnlockFn) (Mutex *mx)
typedef bool(* | DBus::MutexFreeFn) (Mutex *mx)
typedef bool(* | DBus::MutexLockFn) (Mutex *mx)
typedef CondVar *(* | DBus::CondVarNewFn) ()
typedef void(* | DBus::CondVarFreeFn) (CondVar *cv)
typedef void(* | DBus::CondVarWaitFn) (CondVar *cv, Mutex *mx)
typedef bool(* | DBus::CondVarWaitTimeoutFn) (CondVar *cv, Mutex *mx, int timeout)
typedef void(* | DBus::CondVarWakeOneFn) (CondVar *cv)
typedef void(* | DBus::CondVarWakeAllFn) (CondVar *cv)

## Functions

void DXXAPI | DBus::_init_threading ()
void DXXAPI | DBus::_init_threading (MutexNewFn, MutexFreeFn, MutexLockFn, MutexUnlockFn, CondVarNewFn, CondVarFreeFn, CondVarWaitFn, CondVarWaitTimeoutFn, CondVarWakeOneFn, CondVarWakeAllFn)

## Variables

DXXAPI Dispatcher * | DBus::default_dispatcher = NULL